package com.iamberry.wechat.core.entity.product;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;
import java.util.List;

/**
 * 产品颜色表
 * Created by liuzhiwei on 2017/12/14.
 */
public class ProductColor implements java.io.Serializable {

    private static final long serialVersionUID = -3182942653682960921L;

    private Integer colorId;			//id
    private Integer colorProductId;		//所属产品id
    private String colorProductName;	//所属产品名称
    private String colorAbbreviation;	//所属产品简称
    private String colorProductPic;		//产品介绍图
    private Integer colorProductType;	//产品类型
    private Integer productChildType;   //产品子类型
    private String colorName;			//颜色名称
    private Integer colorDiscount;		//产品折扣价
    private Integer colorStatus;        //状态    1：使用中，2：禁用
    private Integer colorPrice;			//产品市场价
    private String color69Code;			//产品69码
    private String colorDesc;           //产品备注
    private Date colorCretaeTime;		//创建时间
    private Date colorUpdateTime;	//修改时间
    private List<SalesUserGift> salesUserGiftList; //赠品集合
    private PageBean page = new PageBean();		//分页

    private Integer cartId; //购物车id
    private Integer cartNum;//购物车数量

    public Integer getColorStatus() {
        return colorStatus;
    }

    public void setColorStatus(Integer colorStatus) {
        this.colorStatus = colorStatus;
    }

    public Integer getProductChildType() {
        return productChildType;
    }

    public void setProductChildType(Integer productChildType) {
        this.productChildType = productChildType;
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public Integer getColorProductId() {
        return colorProductId;
    }

    public void setColorProductId(Integer colorProductId) {
        this.colorProductId = colorProductId;
    }

    public String getColorProductName() {
        return colorProductName;
    }

    public void setColorProductName(String colorProductName) {
        this.colorProductName = colorProductName;
    }

    public String getColorProductPic() {
        return colorProductPic;
    }

    public void setColorProductPic(String colorProductPic) {
        this.colorProductPic = colorProductPic;
    }

    public Integer getColorProductType() {
        return colorProductType;
    }

    public void setColorProductType(Integer colorProductType) {
        this.colorProductType = colorProductType;
    }

    public String getColorName() {
        return colorName;
    }

    public void setColorName(String colorName) {
        this.colorName = colorName;
    }

    public Integer getColorDiscount() {
        return colorDiscount;
    }

    public void setColorDiscount(Integer colorDiscount) {
        this.colorDiscount = colorDiscount;
    }

    public Integer getColorPrice() {
        return colorPrice;
    }

    public void setColorPrice(Integer colorPrice) {
        this.colorPrice = colorPrice;
    }

    public String getColor69Code() {
        return color69Code;
    }

    public void setColor69Code(String color69Code) {
        this.color69Code = color69Code;
    }

    public Date getColorCretaeTime() {
        return colorCretaeTime;
    }

    public void setColorCretaeTime(Date colorCretaeTime) {
        this.colorCretaeTime = colorCretaeTime;
    }

    public Date getColorUpdateTime() {
        return colorUpdateTime;
    }

    public void setColorUpdateTime(Date colorUpdateTime) {
        this.colorUpdateTime = colorUpdateTime;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public List<SalesUserGift> getSalesUserGiftList() {
        return salesUserGiftList;
    }

    public void setSalesUserGiftList(List<SalesUserGift> salesUserGiftList) {
        this.salesUserGiftList = salesUserGiftList;
    }

    public String getColorDesc() {
        return colorDesc;
    }

    public void setColorDesc(String colorDesc) {
        this.colorDesc = colorDesc;
    }

    public Integer getCartId() {
        return cartId;
    }

    public void setCartId(Integer cartId) {
        this.cartId = cartId;
    }

    public Integer getCartNum() {
        return cartNum;
    }

    public void setCartNum(Integer cartNum) {
        this.cartNum = cartNum;
    }

    public String getColorAbbreviation() {
        return colorAbbreviation;
    }

    public void setColorAbbreviation(String colorAbbreviation) {
        this.colorAbbreviation = colorAbbreviation;
    }
}
